public inbox for dev@dpdk.org
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] devtools: test different build types
@ 2021-04-12 21:53 Thomas Monjalon
  2021-05-21 15:03 ` David Marchand
                   ` (4 more replies)
  0 siblings, 5 replies; 44+ messages in thread
From: Thomas Monjalon @ 2021-04-12 21:53 UTC (permalink / raw)
  To: dev; +Cc: bruce.richardson, david.marchand

All builds were of type debugoptimized.
It is kept only for builds having an ABI check.
Others will have the default build type (release),
except if specified differently as in the x86 generic build
which will be a test of the non-optimized debug build type.
Some static builds will test the minsize build type.

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 devtools/test-meson-builds.sh | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index daf817ac3e..37f258bd48 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -92,13 +92,16 @@ load_env () # <target compiler>
 	command -v $targetcc >/dev/null 2>&1 || return 1
 }
 
-config () # <dir> <builddir> <meson options>
+config () # <dir> <builddir> <ABI check> <meson options>
 {
 	dir=$1
 	shift
 	builddir=$1
 	shift
+	abicheck=$1
+	shift
 	if [ -f "$builddir/build.ninja" ] ; then
+		[ $abicheck = ABI ] || return 0
 		# for existing environments, switch to debugoptimized if unset
 		# so that ABI checks can run
 		if ! $MESON configure $builddir |
@@ -114,7 +117,9 @@ config () # <dir> <builddir> <meson options>
 	else
 		options="$options -Dexamples=l3fwd" # save disk space
 	fi
-	options="$options --buildtype=debugoptimized"
+	if [ $abicheck = ABI ] ; then
+		options="$options --buildtype=debugoptimized"
+	fi
 	for option in $DPDK_MESON_OPTIONS ; do
 		options="$options -D$option"
 	done
@@ -165,7 +170,7 @@ build () # <directory> <target cc | cross file> <ABI check> [meson options]
 		cross=
 	fi
 	load_env $targetcc || return 0
-	config $srcdir $builds_dir/$targetdir $cross --werror $*
+	config $srcdir $builds_dir/$targetdir $abicheck $cross --werror $*
 	compile $builds_dir/$targetdir
 	if [ -n "$DPDK_ABI_REF_VERSION" -a "$abicheck" = ABI ] ; then
 		abirefdir=${DPDK_ABI_REF_DIR:-reference}/$DPDK_ABI_REF_VERSION
@@ -179,7 +184,7 @@ build () # <directory> <target cc | cross file> <ABI check> [meson options]
 			fi
 
 			rm -rf $abirefdir/build
-			config $abirefdir/src $abirefdir/build $cross \
+			config $abirefdir/src $abirefdir/build $abicheck $cross \
 				-Dexamples= $*
 			compile $abirefdir/build
 			install_target $abirefdir/build $abirefdir/$targetdir
@@ -213,9 +218,10 @@ for c in gcc clang ; do
 			abicheck=ABI
 		else
 			abicheck=skipABI # save time and disk space
+			buildtype='--buildtype=minsize'
 		fi
 		export CC="$CCACHE $c"
-		build build-$c-$s $c $abicheck --default-library=$s
+		build build-$c-$s $c $abicheck $buildtype --default-library=$s
 		unset CC
 	done
 done
@@ -227,7 +233,7 @@ generic_machine='nehalem'
 if ! check_cc_flags "-march=$generic_machine" ; then
 	generic_machine='corei7'
 fi
-build build-x86-generic cc skipABI -Dcheck_includes=true \
+build build-x86-generic cc skipABI --buildtype=debug -Dcheck_includes=true \
 	-Dlibdir=lib -Dmachine=$generic_machine $use_shared
 
 # 32-bit with default compiler
-- 
2.31.1


^ permalink raw reply related	[flat|nested] 44+ messages in thread

end of thread, other threads:[~2026-02-06 10:00 UTC | newest]

Thread overview: 44+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-12 21:53 [dpdk-dev] [PATCH] devtools: test different build types Thomas Monjalon
2021-05-21 15:03 ` David Marchand
2021-07-23 20:26   ` Andrew Rybchenko
2021-08-02 22:45 ` [dpdk-dev] [PATCH v2] " Thomas Monjalon
2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 1/5] net/qede: fix minsize build Thomas Monjalon
2021-08-09  5:15     ` [dpdk-dev] [EXT] " Devendra Singh Rawat
2021-08-09  7:11       ` Rasesh Mody
2021-09-15 15:16       ` David Marchand
2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 2/5] regex/mlx5: " Thomas Monjalon
2021-08-11  8:48     ` Ruifeng Wang
2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 3/5] vdpa/mlx5: " Thomas Monjalon
2021-08-09  6:43     ` Matan Azrad
2021-08-11  8:48     ` Ruifeng Wang
2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 4/5] test/crypto: " Thomas Monjalon
2021-08-11  8:48     ` Ruifeng Wang
2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 5/5] devtools: test different build types Thomas Monjalon
2024-08-15 16:26     ` Stephen Hemminger
2021-09-15 20:27   ` [dpdk-dev] [PATCH v3 0/5] more build tests Ferruh Yigit
2021-09-16  7:05   ` David Marchand
2026-01-28 11:58 ` [PATCH v4 0/4] " Thomas Monjalon
2026-01-28 11:58   ` [PATCH v4 1/4] bus/pci: fix unmap on failure in multi-process Thomas Monjalon
2026-01-28 14:11     ` Thomas Monjalon
2026-01-28 11:58   ` [PATCH v4 2/4] argparse: fix minsize build Thomas Monjalon
2026-01-29  1:35     ` fengchengwen
2026-01-28 11:58   ` [PATCH v4 3/4] mldev: " Thomas Monjalon
2026-01-28 11:58   ` [PATCH v4 4/4] devtools: test different build types Thomas Monjalon
2026-02-05 21:27 ` [PATCH v4 00/11] more build tests Thomas Monjalon
2026-02-05 21:27   ` [PATCH v4 01/11] mem: check fbarray name truncation in secondary process Thomas Monjalon
2026-02-05 21:27   ` [PATCH v4 02/11] mem: avoid hugepage path overflow Thomas Monjalon
2026-02-06  8:12     ` David Marchand
2026-02-06  9:59       ` Thomas Monjalon
2026-02-05 21:27   ` [PATCH v4 03/11] argparse: fix minsize build Thomas Monjalon
2026-02-05 21:27   ` [PATCH v4 04/11] mldev: " Thomas Monjalon
2026-02-05 21:27   ` [PATCH v4 05/11] bus/pci: " Thomas Monjalon
2026-02-05 21:27   ` [PATCH v4 06/11] power/intel_pstate: " Thomas Monjalon
2026-02-05 21:27   ` [PATCH v4 07/11] net/bnxt/tf_ulp: " Thomas Monjalon
2026-02-05 21:27   ` [PATCH v4 08/11] net/iavf: " Thomas Monjalon
2026-02-05 21:27   ` [PATCH v4 09/11] ci: fix debug build type Thomas Monjalon
2026-02-06  8:23     ` David Marchand
2026-02-05 21:27   ` [PATCH v4 10/11] devtools: test different build types Thomas Monjalon
2026-02-05 21:27   ` [PATCH v4 11/11] ci: check minsize build type in GHA Thomas Monjalon
2026-02-06  8:29     ` David Marchand
2026-02-06  9:57   ` [PATCH v4 00/11] more build tests Thomas Monjalon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox